# Template file for 'qt-designer'.
#
short_desc="Qt GUI designer"
long_desc="${long_desc}

 Qt Designer is a tool for designing and building graphical user
 interfaces (GUIs) from Qt components."

gtk_iconcache_dirs="/usr/share/icons/hicolor"

Add_dependency run glibc
Add_dependency run libstdc++
Add_dependency run libgcc
Add_dependency run MesaLib
Add_dependency run sqlite
Add_dependency run hicolor-icon-theme
Add_dependency run qt-plugin-gstreamer
Add_dependency run gst-plugins-good
Add_dependency run qt

do_install()
{
	mkdir -p ${DESTDIR}/usr/lib/qt/plugins \
		${DESTDIR}/usr/bin \
		${DESTDIR}/usr/share/icons/hicolor/128x128/apps \
		${DESTDIR}/usr/share/applications \
		${DESTDIR}/usr/share/qt/translations

	mv ${SRCPKGDESTDIR}/usr/bin/designer ${DESTDIR}/usr/bin || return 1
	mv ${SRCPKGDESTDIR}/usr/lib/libQtDesigner.so* \
		${DESTDIR}/usr/lib || return 1
	mv ${SRCPKGDESTDIR}/usr/lib/libQtDesignerComponents.so* \
		${DESTDIR}/usr/lib || return 1
	mv ${SRCPKGDESTDIR}/usr/lib/qt/plugins/designer \
		${DESTDIR}/usr/lib/qt/plugins || return 1
	for d in /usr/share/icons/hicolor/128x128/apps \
		/usr/share/applications; do
		mkdir -p ${DESTDIR}/${d} || return 1
		mv ${SRCPKGDESTDIR}/${d}/designer.* ${DESTDIR}/${d} || return 1
	done
	mv ${SRCPKGDESTDIR}/usr/share/qt/translations/designer* \
		${DESTDIR}/usr/share/qt/translations || return 1
}
